Rated 5 out of 5 stars

It is compatible with Firefox 3.6, it just needs to be bumped. But the developer seems to have vanished - Geocities home page, and I didn't find his profile on Yahoo.

This review is for a previous version of the add-on (1.1.5).